> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate a deposit (Card, Transfer, USSD)



## OpenAPI

````yaml /openapi.json post /api/v1/wallet/deposit
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/wallet/deposit:
    post:
      tags:
        - Deposits
      summary: Initiate a deposit (Card, Transfer, USSD)
      operationId: DepositController_deposit
      parameters:
        - name: method
          required: true
          in: query
          schema:
            enum:
              - BANK_TRANSFER
              - USSD
              - CARD
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DepositDto'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentResponseDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    DepositDto:
      type: object
      properties:
        amount:
          type: number
        reference:
          type: string
        currency:
          type: string
          default: NGN
        card:
          $ref: '#/components/schemas/CardDepositDto'
        ussd:
          $ref: '#/components/schemas/UssdDepositDto'
        narration:
          type: string
      required:
        - amount
    PaymentResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/PaymentDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    CardDepositDto:
      type: object
      properties:
        expiryMonth:
          type: string
        expiryYear:
          type: string
        cardNumber:
          type: string
        cvv:
          type: string
        cardHolderName:
          type: string
      required:
        - expiryMonth
        - expiryYear
        - cardNumber
        - cvv
        - cardHolderName
    UssdDepositDto:
      type: object
      properties:
        bankCode:
          type: string
      required:
        - bankCode
    PaymentDto:
      type: object
      properties:
        amount:
          type: number
        reference:
          type: string
        currency:
          type: string
          default: NGN
        redirectUrl:
          type: string
        customization:
          $ref: '#/components/schemas/Customization'
        customer:
          $ref: '#/components/schemas/Customer'
        narration:
          type: string
        accountNumber:
          type: string
        bankName:
          type: string
        accountName:
          type: string
        expiry_datetime:
          type: string
        note:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - SUCCESS
            - FAILED
            - COMPLETED
          default: PENDING
        nextAction:
          $ref: '#/components/schemas/DepositNextActionDto'
      required:
        - amount
        - reference
        - currency
        - customization
        - customer
        - accountNumber
        - bankName
        - accountName
        - expiry_datetime
        - note
        - status
    Customization:
      type: object
      properties:
        title:
          type: string
    Customer:
      type: object
      properties:
        email:
          type: string
        phoneNumber:
          type: string
        name:
          type: string
      required:
        - email
        - phoneNumber
        - name
    DepositNextActionDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - requires_pin
            - requires_otp
            - redirect_url
            - requires_additional_fields
            - payment_Instructions
        redirect_url:
          type: object
        payment_instruction:
          type: object
      required:
        - type
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````